package pl.edu.pwr.tkubik.javatz.jakartaexample;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

import org.h2.tools.Server;

import java.sql.SQLException;

@SpringBootApplication
public class JakartaExampleApplication implements CommandLineRunner {
    private static final Logger log = LoggerFactory.getLogger(JakartaExampleApplication.class);
    private static org.h2.tools.Server server;

    @Bean(initMethod = "start", destroyMethod = "stop")
    public Server h2Server() throws SQLException {
        return Server.createTcpServer("-tcp", "-tcpAllowOthers", "-tcpPort", "9092");
    }
    public static void main(String[] args) {
        SpringApplication.run(JakartaExampleApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {
     server = org.h2.tools.Server.createTcpServer().start();
        System.out.println("started");
    }
}
